Daemon Power

The NetBSD Packages Collection: devel/ocaml-ppx_sexp_conv

Brief description of the package:
Generation of S-expression conversion functions from type definitions

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://github.com/janestreet/ppx_sexp_conv/.

Please note that this package has a apache-2.0 license.

The package is located in the "devel/ocaml-ppx_sexp_conv" directory. The current source version of the package is "ocaml-ppx_sexp_conv-0.9.0nb1". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for devel/ocaml-ppx_sexp_conv :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: ocaml-migrate-parsetree>=1.0.1 ocaml-jbuilder>=1.0_beta13nb1 ocaml-findlib>=1.2 ocaml>=4.05.0 cwrappers>=20150314 ocaml-findlib>=1.7.3 ocaml-opam>=1.2.2 ocaml-cmdliner>=0.9.8 ocaml-topkg>=0.9.0 ocaml-result>=1.2 ocaml-result>=1.2nb2 ocamlbuild>=0.9.2 ocamlbuild>=0.11.0 ocaml-extlib>=1.7.0 ocaml-cppo>=1.3.1 camlp4>=4.05 ocaml-cppo>=1.5.0 ocaml-re>=1.6.0 ocamlgraph>=1.8.7 dose3>=5.0rc2 ocaml-cudf>=0.8 ocaml-extlib>=1.7.2 ocaml-re>=1.7.1nb2 ocamlgraph>=1.8.7nb8 ocaml-cudf>=0.9 dose3>=5.0.1 ocaml-opam-file-format>=2.0.0beta ocaml-jsonm>=0.9.1 ocaml-uutf>=0.9.3nb1 ocaml-uchar>=0.0.1 ocaml-cmdliner>=1.0.0nb1 ocaml-uchar>=0.0.1nb1 ocaml-uutf>=1.0.1 curl>=7.12.3 libidn2>=2.0.0 libunistring>=0.9.3 libunistring>=0.9.4 ocaml-opam-file-format>=2.0.0beta3 ocaml-jsonm>=1.0.1 curl>=7.55.1nb1 ocaml-opam>=2.0.0_beta4 ocaml-ppx_core>=0.9.0 ocaml-compiler-libs>=0.9.0 ocaml-ppx_ast>=0.9.1 ocaml-migrate-parsetree>=1.0.1nb1 ocaml-ppx_traverse_builtins>=0.9.0 ocaml-stdio>=0.9.0 ocaml-base>=0.9.3 ocaml-sexplib>=0.9.0 ocaml-sexplib>=0.9.2 ocaml-ppx_driver>=0.9.0 ocaml-ppx_optcomp>=0.9.0 ocaml-ppx_metaquot>=0.9.0 ocaml-ppx_type_conv>=0.9.0 ocaml-ppx_deriving>=4.0 ocaml-ppx_tools-[0-9]* ocaml-ppx_derivers>=1.0 ocaml-ppx_deriving>=4.2 .

This package requires the following package(s) to run: ocaml-migrate-parsetree>=1.0.1 ocaml-jbuilder>=1.0_beta13nb1 ocaml-findlib>=1.2 ocaml>=4.05.0 ocaml-findlib>=1.7.3 ocaml-opam>=1.2.2 ocaml-cmdliner>=0.9.8 ocaml-topkg>=0.9.0 ocaml-result>=1.2 ocaml-result>=1.2nb2 ocaml-extlib>=1.7.0 ocaml-cppo>=1.3.1 camlp4>=4.05 ocaml-cppo>=1.5.0 ocaml-re>=1.6.0 ocamlgraph>=1.8.7 dose3>=5.0rc2 ocaml-cudf>=0.8 ocaml-extlib>=1.7.2 ocaml-re>=1.7.1nb2 ocamlgraph>=1.8.7nb8 ocaml-cudf>=0.9 dose3>=5.0.1 ocaml-opam-file-format>=2.0.0beta ocaml-jsonm>=0.9.1 ocaml-uutf>=0.9.3nb1 ocaml-uchar>=0.0.1 ocaml-cmdliner>=1.0.0nb1 ocaml-uchar>=0.0.1nb1 ocaml-uutf>=1.0.1 curl>=7.12.3 libidn2>=2.0.0 libunistring>=0.9.3 libunistring>=0.9.4 ocaml-opam-file-format>=2.0.0beta3 ocaml-jsonm>=1.0.1 curl>=7.55.1nb1 ocaml-opam>=2.0.0_beta4 ocaml-ppx_core>=0.9.0 ocaml-compiler-libs>=0.9.0 ocaml-ppx_ast>=0.9.1 ocaml-migrate-parsetree>=1.0.1nb1 ocaml-ppx_traverse_builtins>=0.9.0 ocaml-stdio>=0.9.0 ocaml-base>=0.9.3 ocaml-sexplib>=0.9.0 ocaml-sexplib>=0.9.2 ocaml-ppx_driver>=0.9.0 ocaml-ppx_optcomp>=0.9.0 ocaml-ppx_metaquot>=0.9.0 ocaml-ppx_type_conv>=0.9.0 ocaml-ppx_deriving>=4.0 ocaml-ppx_tools-[0-9]* ocaml-ppx_derivers>=1.0 ocaml-ppx_deriving>=4.2 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
i386:ocaml-ppx_sexp_conv-113.33.01nb1.tgz(NetBSD 6.0)
i386:ocaml-ppx_sexp_conv-113.33.01.tgz(NetBSD 6.0)
i386:ocaml-ppx_sexp_conv-113.33.01.tgz(NetBSD 6.0)
i386:ocaml-ppx_sexp_conv-113.33.01nb1.tgz(NetBSD 6.0)
i386:ocaml-ppx_sexp_conv-113.33.01nb1.tgz(NetBSD 6.1)
i386:ocaml-ppx_sexp_conv-113.33.01.tgz(NetBSD 6.1)
i386:ocaml-ppx_sexp_conv-113.33.01.tgz(NetBSD 6.1)
i386:ocaml-ppx_sexp_conv-113.33.01nb1.tgz(NetBSD 6.1)
i386:ocaml-ppx_sexp_conv-113.33.01nb1.tgz(NetBSD 7.0)
i386:ocaml-ppx_sexp_conv-113.33.01.tgz(NetBSD 7.0)
i386:ocaml-ppx_sexp_conv-113.33.01.tgz(NetBSD 7.0)
i386:ocaml-ppx_sexp_conv-113.33.01nb1.tgz(NetBSD 7.0)
x86_64:ocaml-ppx_sexp_conv-113.33.01nb1.tgz(NetBSD 6.0)
x86_64:ocaml-ppx_sexp_conv-113.33.01.tgz(NetBSD 6.0)
x86_64:ocaml-ppx_sexp_conv-113.33.01.tgz(NetBSD 6.0)
x86_64:ocaml-ppx_sexp_conv-113.33.01nb1.tgz(NetBSD 6.0)
x86_64:ocaml-ppx_sexp_conv-113.33.01nb1.tgz(NetBSD 6.1)
x86_64:ocaml-ppx_sexp_conv-113.33.01.tgz(NetBSD 6.1)
x86_64:ocaml-ppx_sexp_conv-113.33.01.tgz(NetBSD 6.1)
x86_64:ocaml-ppx_sexp_conv-113.33.01nb1.tgz(NetBSD 6.1)
x86_64:ocaml-ppx_sexp_conv-113.33.01nb1.tgz(NetBSD 7.0)
x86_64:ocaml-ppx_sexp_conv-113.33.01.tgz(NetBSD 7.0)
x86_64:ocaml-ppx_sexp_conv-113.33.01.tgz(NetBSD 7.0)
x86_64:ocaml-ppx_sexp_conv-113.33.01nb1.tgz(NetBSD 7.0)
x86_64:ocaml-ppx_sexp_conv-113.33.01nb1.tgz(NetBSD 7.0.1_PATCH)
x86_64:ocaml-ppx_sexp_conv-113.33.01nb1.tgz(NetBSD 8.99.1)
x86_64:ocaml-ppx_sexp_conv-0.9.0.tgz(NetBSD 8.99.1)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]